"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Configstore = require("configstore");
const package_json_1 = require("../package.json");
const conf = new Configstore(package_json_1.name);
exports.saveAll = (config) => {
    conf.all = config;
};
exports.saveAccountAws = (credentials) => conf.set("aws_user", credentials);
exports.getAll = () => conf.all;
exports.getAwsAccount = () => conf.get("aws_user");
exports.getCurrenVersion = () => package_json_1.version;
exports.clear = () => conf.clear();
